/* $Id: ftproot.h,v 1.4 2000/02/29 05:25:23 leonard Exp $ */
/* Copyright David Leonard, 2000. All rights reserved. */

extern struct node_class ftproot_class;
struct ftproot_node;

struct node *ftproot_new(struct node *, const char *, 
	const char *, struct stat *, int);
int ftproot_connect(struct node *);
void ftproot_lock(struct node *);
void ftproot_unlock(struct node *);
int ftproot_isconnected(struct node *);
int ftproot_ensure_connected(struct node *);
int ftproot_isusername(struct node *, const char *);
struct ftp_ctx *ftproot_ctx(struct node *);
struct node *ftproot_root(struct node *);
void ftproot_alive(struct node *);
int ftproot_reset(struct node *);

