/* $Id: hash.h,v 1.2 2000/02/29 01:16:32 leonard Exp $ */
/* Copyright David Leonard, 2000. All rights reserved. */

/*
 * On error, all routines will return -1 and set errno.
 * hash_next() returns 0 only while it can read an entry.
 */

struct node;
struct hash;

struct hash *hash_new();
int    hash_add(struct hash *, const char *, struct node *);
int    hash_del(struct hash *, const char *);
void   hash_free(struct hash *);
int    hash_get(struct hash *, const char *, struct node **);
void   hash_first(struct hash *);
int    hash_next(struct hash *, char *, size_t, struct node **);
