/* $Id: ihash.h,v 1.1 2000/02/29 04:16:08 leonard Exp $ */
/* Copyright David Leonard, 2000. All rights reserved. */

/*
 * On error, all routines will return -1 and set errno.
 */

struct ihash;

struct ihash *ihash_new();
int    ihash_add(struct ihash *, const char *, ino_t);
int    ihash_del(struct ihash *, const char *);
void   ihash_free(struct ihash *);
int    ihash_get(struct ihash *, const char *, ino_t *);
