/* $Id: dir.h,v 1.3 2000/02/29 05:25:22 leonard Exp $ */
/* Copyright David Leonard, 2000. All rights reserved. */

int dir_write(int, struct dirent *);
void dir_close(int);
extern off_t blocksize;

#define DIRENT_SET(dep, n, nm) 					\
    do {							\
	(dep)->d_fileno = (n)->stat.st_ino;			\
	(dep)->d_type = IFTODT((n)->stat.st_mode);		\
	(dep)->d_namlen = strlen((nm));				\
	bzero((dep)->d_name, sizeof (dep)->d_name);		\
	memcpy((dep)->d_name, (nm), (dep)->d_namlen);		\
    } while (0)

#define DIRENT_NAMEEQ(dep, nm)					\
	(memcmp((dep)->d_name, (nm), (dep)->d_namlen) == 0 &&	\
	 nm[(dep)->d_namlen] == '\0')

